Opened 7 years ago

Closed 7 years ago

#845 closed defect (fixed)

seedless.war wont start

Reported by: DISABLED Owned by: sponge
Priority: minor Milestone:
Component: apps/plugins Version: 0.9.4
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

14/01/13 16.21.25 ERROR [er (eepsite)] org.mortbay.jetty.Server : Failed startup of context org.mortbay.jetty.webapp.WebAppContext?@1a4c255{/Seedless,file:/C:/ProgramData/Application%20Data/i2p/eepsite/webapps/Seedless.war}

java.lang.IllegalArgumentException?: name

SeedlessConsole? version: 00.01.0C
SeedlessCore? version: 00.01.07
Neodatis ODB version: 2.1.beta14-209 (21-02-2010-20-30-42) PatchLevel? 17

Win7 x64
Java 7 update 11 Oracle

Subtickets

Change History (8)

comment:1 Changed 7 years ago by DISABLED

Adding infos:

I2P version: 0.9.4-0
Java version: Oracle Corporation 1.7.0_11 (Java™ SE Runtime Environment 1.7.0_11-b21)
Wrapper version: 3.5.16
Server version: 6.1.26
Servlet version: Jasper JSP 2.1 Engine
Platform: Windows 7 x86 6.1
Processor: Core i7/i5 (32nm) (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file
Encoding: Cp1252
Charset: windows-1252

comment:2 Changed 7 years ago by zzz

Component: unspecifiedapps/plugins
Milestone: 0.9.5
Owner: set to sponge
Status: newassigned

comment:3 Changed 7 years ago by sponge

What version is the war file?

comment:4 Changed 7 years ago by DISABLED

seedless.war 10701 bytes Nov 6, 2012 6:24:43 PM

comment:5 Changed 7 years ago by sponge

Did you try deleting the database files and restart i2p?
Please also provide the entire traceback.

comment:6 Changed 7 years ago by DISABLED

If you mean the 'eepPriv.dat':ok
Deleted and restarted i2p
Here are the logs (all):
!
!
!
!
V

I2P Router Logs
I2P Version and Running Environment

Please report bugs on trac.i2p2.i2p or trac.i2p2.de. You may use the username "guest" and password "guest" if you do not wish to register.

Please include this information in bug reports:

I2P version: 0.9.4-0
Java version: Oracle Corporation 1.7.0_11 (Java™ SE Runtime Environment 1.7.0_11-b21)
Wrapper version: 3.5.16
Server version: 6.1.26
Servlet version: Jasper JSP 2.1 Engine
Platform: Windows 7 x86 6.1
Processor: Core i7/i5 (32nm) (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file
Encoding: Cp1252
Charset: windows-1252

Note that system information, log timestamps, and log messages may provide clues to your location; please review everything you include in a bug report.
Critical Logs

No log messages
Router Logs (configure)

File location: C:\ProgramData?\Application Data\i2p\logs\log-router-0.txt

01/02/13 18.27.36 ERROR [er (eepsite)] org.mortbay.jetty.Server : Failed startup of context org.mortbay.jetty.webapp.WebAppContext?@864dce{/Seedless,file:/C:/ProgramData/Application%20Data/i2p/eepsite/webapps/Seedless.war}

java.lang.IllegalArgumentException?: name
at sun.misc.URLClassPath$Loader.findResource(Unknown Source)
at sun.misc.URLClassPath.findResource(Unknown Source)
at java.net.URLClassLoader$2.run(Unknown Source)
at java.net.URLClassLoader$2.run(Unknown Source)
at java.security.AccessController?.doPrivileged(Native Method)
at java.net.URLClassLoader.findResource(Unknown Source)
at org.mortbay.jetty.webapp.WebAppClassLoader?.getResource(WebAppClassLoader?.java:271)
at org.mortbay.resource.Resource.newSystemResource(Resource.java:203)
at org.mortbay.jetty.webapp.WebXmlConfiguration?.configureDefaults(WebXmlConfiguration?.java:159)
at org.mortbay.jetty.webapp.WebAppContext?.startContext(WebAppContext?.java:1262)
at org.mortbay.jetty.handler.ContextHandler?.doStart(ContextHandler?.java:518)
at org.mortbay.jetty.webapp.WebAppContext?.doStart(WebAppContext?.java:499)
at org.mortbay.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:50)
at org.mortbay.jetty.handler.HandlerCollection?.doStart(HandlerCollection?.java:152)
at org.mortbay.jetty.handler.ContextHandlerCollection?.doStart(ContextHandlerCollection?.java:156)
at org.mortbay.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:50)
at org.mortbay.jetty.handler.HandlerCollection?.doStart(HandlerCollection?.java:152)
at org.mortbay.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:50)
at org.mortbay.jetty.handler.HandlerWrapper?.doStart(HandlerWrapper?.java:130)
at org.mortbay.jetty.Server.doStart(Server.java:224)
at org.mortbay.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:50)
at org.mortbay.xml.XmlConfiguration?.main(XmlConfiguration?.java:985)
at sun.reflect.NativeMethodAccessorImpl?.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl?.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl?.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.mortbay.start.Main.invokeMain(Main.java:194)
at org.mortbay.start.Main.start(Main.java:534)
at org.mortbay.start.Main.start(Main.java:441)
at org.mortbay.start.Main.main(Main.java:119)
at sun.reflect.NativeMethodAccessorImpl?.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl?.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl?.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at net.i2p.router.startup.LoadClientAppsJob?$RunApp?.run(LoadClientAppsJob?.java:261)
at java.lang.Thread.run(Unknown Source)
at net.i2p.util.I2PThread.run(I2PThread.java:85)

Service (Wrapper) Logs

File location: C:\Windows\TEMP\wrapper.log

2013/01/31 14:05:08 | CRIT [hutdown hook] net.i2p.router.Router : Graceful shutdown progress - no more tunnels, safe to die
2013/01/31 14:05:10 | SeedlessSeedFinder? Trying to Exit…. if it does not exit within 60 seconds, please report on http://trac.i2p2.i2p/ticket/566
2013/01/31 14:05:10 | SeedlessSeedFinder? Now trying to kill child threads…
2013/01/31 14:05:10 | SeedlessCache? Exited.
2013/01/31 14:05:11 | SeedlessSeedFinder? Exited.
2013/01/31 14:05:11 | SeedlessSeedFinder? server context destroyed
2013/01/31 14:05:11 | NeoDatis? server stopping
2013/01/31 14:05:12 | Exception net.i2p.client.I2PSessionException: Router client manager is shut down
2013/01/31 14:05:13 | CRIT [hutdown hook] net.i2p.router.Router : Starting final shutdown(5)
2013/01/31 14:05:13 | CRIT [hutdown hook] net.i2p.router.Router : Shutdown(5) complete
2013/01/31 14:05:17 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2013/01/31 14:05:31 | Launching a JVM…
2013/01/31 14:05:32 | WrapperManager?: Initializing…
2013/01/31 14:05:32 | Starting I2P 0.9.4-0
2013/01/31 14:05:32 | INFO: Native CPUID library jcpuid-x86-windows loaded from file
2013/01/31 14:05:32 | INFO: Locally optimized native BigInteger? library loaded from file
2013/01/31 14:05:35 | INFO: Jetty 6.1.26 logging to I2P logs using class org.mortbay.jetty.Server
2013/01/31 14:05:36 | Adding Neodatis ODB to the JVM globally.
2013/01/31 14:05:36 | Adding C:\ProgramData\Application Data\i2p\plugins\01_neodatis\lib\neodatis.jar to classpath
2013/01/31 14:05:36 | PatchLevel? 17
2013/01/31 14:05:36 | NeoDatis? ODB Server is to be located at 127.0.0.1:65534
2013/01/31 14:05:36 | Added Neodatis ODB to the JVM Successfully.
2013/01/31 14:05:38 | Adding SeedlessCore? to the JVM globally.
2013/01/31 14:05:38 | Adding C:\ProgramData\Application Data\i2p\plugins\02_seedless\lib\SeedlessCore.jar to classpath
2013/01/31 14:05:38 | SeedlessCore? version: 00.01.07
2013/01/31 14:05:38 | Neodatis ODB version: 2.1.beta14-209 (21-02-2010-20-30-42)PatchLevel? 17
2013/01/31 14:05:38 | Added SeedlessCore? to the JVM Successfully.
2013/01/31 14:05:38 | Checking Version
2013/01/31 14:05:38 | Version OK
2013/01/31 14:05:39 | [Fatal Error] :12:1: Content is not allowed in trailing section.
2013/01/31 14:05:41 | Attempting to start NeoDatis? ODB Server on 127.0.0.1:65534
2013/01/31 14:05:41 | NeoDatis? ODB Server [version=2.1.beta14 - build=209 - 21-02-2010-20-30-42] running on port 65534
2013/01/31 14:05:42 | WARNING! SeedlessSeedFinder? is using defaults:127.0.0.1:4444
2013/01/31 14:05:42 | SeedlessSeedFinder? server context initialized
2013/01/31 14:05:43 | Waiting to launch SeedlessSeedFinder?.
2013/01/31 14:05:43 | TunnelMonitor? launching.
2013/01/31 14:05:43 | TunnelMonitor? launched.
2013/01/31 14:05:45 | INFO:BOB is now running.
2013/01/31 14:08:15 | Proxy discovered at 127.0.0.1:4444
2013/01/31 14:08:15 | Proxy discovered at 127.0.0.1:4488
2013/01/31 14:08:15 | Hurray! A proxy resource came up.
2013/01/31 14:08:15 | Waiting one minute for tunnel to build.
2013/01/31 14:09:15 | Please fasten seatbelts, SeedlessSeedFinder? is now launched.
2013/01/31 14:09:15 | SeedlessCache? is using discovered setting of:127.0.0.1:4488
2013/01/31 14:09:15 | Please fasten seatbelts, SeedlessCache? is now launched.
2013/01/31 15:28:40 | CRIT [hutdown hook] net.i2p.router.Router : Graceful shutdown progress - no more tunnels, safe to die
2013/01/31 15:28:43 | SeedlessSeedFinder? Trying to Exit…. if it does not exit within 60 seconds, please report on http://trac.i2p2.i2p/ticket/566
2013/01/31 15:28:43 | SeedlessSeedFinder? Now trying to kill child threads…
2013/01/31 15:28:43 | SeedlessCache? Exited.
2013/01/31 15:28:44 | SeedlessSeedFinder? Exited.
2013/01/31 15:28:44 | SeedlessSeedFinder? server context destroyed
2013/01/31 15:28:44 | NeoDatis? server stopping
2013/01/31 15:28:44 | Exception net.i2p.client.I2PSessionException: Router client manager is shut down
2013/01/31 15:28:44 | Exception in thread "UPnP-Disposer" java.lang.ArrayIndexOutOfBoundsException?: Array index out of range: 1
2013/01/31 15:28:44 | at java.util.Vector.get(Unknown Source)
2013/01/31 15:28:44 | at org.cybergarage.xml.NodeList?.getNode(NodeList?.java:28)
2013/01/31 15:28:44 | at org.cybergarage.upnp.ControlPoint?.getDeviceList(ControlPoint?.java:295)
2013/01/31 15:28:44 | at org.cybergarage.upnp.ControlPoint?.removeExpiredDevices(ControlPoint?.java:377)
2013/01/31 15:28:44 | at org.cybergarage.upnp.device.Disposer.run(Disposer.java:62)
2013/01/31 15:28:44 | at java.lang.Thread.run(Unknown Source)
2013/01/31 15:28:46 | CRIT [hutdown hook] net.i2p.router.Router : Starting final shutdown(5)
2013/01/31 15:28:46 | CRIT [hutdown hook] net.i2p.router.Router : Shutdown(5) complete
2013/01/31 15:28:50 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2013/01/31 15:29:04 | Launching a JVM…
2013/01/31 15:29:06 | WrapperManager?: Initializing…
2013/01/31 15:29:06 | Starting I2P 0.9.4-0
2013/01/31 15:29:06 | INFO: Native CPUID library jcpuid-x86-windows loaded from file
2013/01/31 15:29:06 | INFO: Locally optimized native BigInteger? library loaded from file
2013/01/31 15:29:10 | INFO: Jetty 6.1.26 logging to I2P logs using class org.mortbay.jetty.Server
2013/01/31 15:29:11 | Adding Neodatis ODB to the JVM globally.
2013/01/31 15:29:11 | Adding C:\ProgramData\Application Data\i2p\plugins\01_neodatis\lib\neodatis.jar to classpath
2013/01/31 15:29:11 | PatchLevel? 17
2013/01/31 15:29:11 | NeoDatis? ODB Server is to be located at 127.0.0.1:65534
2013/01/31 15:29:11 | Added Neodatis ODB to the JVM Successfully.
2013/01/31 15:29:13 | Adding SeedlessCore? to the JVM globally.
2013/01/31 15:29:13 | Adding C:\ProgramData\Application Data\i2p\plugins\02_seedless\lib\SeedlessCore.jar to classpath
2013/01/31 15:29:13 | SeedlessCore? version: 00.01.07
2013/01/31 15:29:13 | Neodatis ODB version: 2.1.beta14-209 (21-02-2010-20-30-42)PatchLevel? 17
2013/01/31 15:29:13 | Added SeedlessCore? to the JVM Successfully.
2013/01/31 15:29:13 | Checking Version
2013/01/31 15:29:13 | Version OK
2013/01/31 15:29:13 | [Fatal Error] :12:1: Content is not allowed in trailing section.
2013/01/31 15:29:16 | Attempting to start NeoDatis? ODB Server on 127.0.0.1:65534
2013/01/31 15:29:16 | NeoDatis? ODB Server [version=2.1.beta14 - build=209 - 21-02-2010-20-30-42] running on port 65534
2013/01/31 15:29:18 | WARNING! SeedlessSeedFinder? is using defaults:127.0.0.1:4444
2013/01/31 15:29:18 | SeedlessSeedFinder? server context initialized
2013/01/31 15:29:19 | Waiting to launch SeedlessSeedFinder?.
2013/01/31 15:29:19 | TunnelMonitor? launching.
2013/01/31 15:29:19 | TunnelMonitor? launched.
2013/01/31 15:29:20 | INFO:BOB is now running.
2013/01/31 15:31:18 | Proxy discovered at 127.0.0.1:4444
2013/01/31 15:31:18 | Proxy discovered at 127.0.0.1:4488
2013/01/31 15:31:19 | Hurray! A proxy resource came up.
2013/01/31 15:31:19 | Waiting one minute for tunnel to build.
2013/01/31 15:32:19 | Please fasten seatbelts, SeedlessSeedFinder? is now launched.
2013/01/31 15:32:19 | SeedlessCache? is using discovered setting of:127.0.0.1:4488
2013/01/31 15:32:19 | Please fasten seatbelts, SeedlessCache? is now launched.
2013/02/01 16:35:40 | Scrape seedless 'locate dG9ycmVudCAg' WARNING: many new records from http://lp7dm7ehq6ujz56b2bnmkpawp4muydskrfbwitc5kpf75dixmpoq.b32.i2p/Seedless/seedless
2013/02/01 16:35:40 | Only saved 50.
2013/02/01 18:26:42 | SeedlessSeedFinder? Trying to Exit…. if it does not exit within 60 seconds, please report on http://trac.i2p2.i2p/ticket/566
2013/02/01 18:26:42 | SeedlessSeedFinder? Now trying to kill child threads…
2013/02/01 18:26:42 | SeedlessCache? Exited.
2013/02/01 18:26:43 | SeedlessSeedFinder? Exited.
2013/02/01 18:26:43 | SeedlessSeedFinder? server context destroyed
2013/02/01 18:26:43 | NeoDatis? server stopping
2013/02/01 18:26:43 | Exception net.i2p.client.I2PSessionException: Router client manager is shut down
2013/02/01 18:26:45 | CRIT [hutdown hook] net.i2p.router.Router : Graceful shutdown progress - no more tunnels, safe to die
2013/02/01 18:26:45 | CRIT [hutdown hook] net.i2p.router.Router : Starting final shutdown(5)
2013/02/01 18:26:45 | CRIT [hutdown hook] net.i2p.router.Router : Shutdown(5) complete
2013/02/01 18:26:49 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2013/02/01 18:27:03 | Launching a JVM…
2013/02/01 18:27:03 | WrapperManager?: Initializing…
2013/02/01 18:27:04 | Starting I2P 0.9.4-0
2013/02/01 18:27:04 | INFO: Native CPUID library jcpuid-x86-windows loaded from file
2013/02/01 18:27:04 | INFO: Locally optimized native BigInteger? library loaded from file
2013/02/01 18:27:08 | INFO: Jetty 6.1.26 logging to I2P logs using class org.mortbay.jetty.Server
2013/02/01 18:27:09 | Adding Neodatis ODB to the JVM globally.
2013/02/01 18:27:09 | Adding C:\ProgramData\Application Data\i2p\plugins\01_neodatis\lib\neodatis.jar to classpath
2013/02/01 18:27:09 | PatchLevel? 17
2013/02/01 18:27:09 | NeoDatis? ODB Server is to be located at 127.0.0.1:65534
2013/02/01 18:27:09 | Added Neodatis ODB to the JVM Successfully.
2013/02/01 18:27:11 | Adding SeedlessCore? to the JVM globally.
2013/02/01 18:27:11 | Adding C:\ProgramData\Application Data\i2p\plugins\02_seedless\lib\SeedlessCore.jar to classpath
2013/02/01 18:27:11 | SeedlessCore? version: 00.01.07
2013/02/01 18:27:11 | Neodatis ODB version: 2.1.beta14-209 (21-02-2010-20-30-42)PatchLevel? 17
2013/02/01 18:27:11 | Added SeedlessCore? to the JVM Successfully.
2013/02/01 18:27:11 | Checking Version
2013/02/01 18:27:11 | Version OK
2013/02/01 18:27:11 | [Fatal Error] :12:1: Content is not allowed in trailing section.
2013/02/01 18:27:14 | Attempting to start NeoDatis? ODB Server on 127.0.0.1:65534
2013/02/01 18:27:14 | NeoDatis? ODB Server [version=2.1.beta14 - build=209 - 21-02-2010-20-30-42] running on port 65534
2013/02/01 18:27:15 | WARNING! SeedlessSeedFinder? is using defaults:127.0.0.1:4444
2013/02/01 18:27:15 | SeedlessSeedFinder? server context initialized
2013/02/01 18:27:16 | Waiting to launch SeedlessSeedFinder?.
2013/02/01 18:27:16 | TunnelMonitor? launching.
2013/02/01 18:27:16 | TunnelMonitor? launched.
2013/02/01 18:27:18 | INFO:BOB is now running.
2013/02/01 18:29:13 | Proxy discovered at 127.0.0.1:4444
2013/02/01 18:29:13 | Proxy discovered at 127.0.0.1:4488
2013/02/01 18:29:16 | Hurray! A proxy resource came up.
2013/02/01 18:29:16 | Waiting one minute for tunnel to build.
2013/02/01 18:30:16 | Please fasten seatbelts, SeedlessSeedFinder? is now launched.
2013/02/01 18:30:16 | SeedlessCache? is using discovered setting of:127.0.0.1:4488
2013/02/01 18:30:16 | Please fasten seatbelts, SeedlessCache? is now launched.

Thank U again for your support.

comment:7 Changed 7 years ago by DISABLED

deleted seedlessdb amd restarted.
No changes.

comment:8 Changed 7 years ago by DISABLED

Resolution: fixed
Status: assignedclosed

The problem can be fixed modifying 'jetty.xml' as follow:

<Call name="addLifeCycle">
<Arg>
<New class="org.mortbay.jetty.deployer.WebAppDeployer?">
<Set name="contexts"><Ref id="Contexts"/></Set>
<Set name="webAppDir">C:\ProgramData?\Application Data\i2p\eepsite\webapps</Set>
<Set name="parentLoaderPriority">false</Set>
<-- set to true if you have uncompiled jsps in your wars —>
<Set name="extract">true</Set> ←—- HERE replace 'false' with 'true' !!!!
<Set name="allowDuplicates">false</Set>
<Set name="defaultsDescriptor">C:\ProgramData?\Application Data\i2p\eepsite\etc/webdefault.xml</Set>
</New>
</Arg>
</Call>

Save and restart i2p.
Solved!

Note: See TracTickets for help on using tickets.